com.h3c.dist.lock

## Enum LockState

- java.lang.Object
- - java.lang.Enum<LockState>
  - - com.h3c.dist.lock.LockState

- All Implemented Interfaces:
    Serializable, Comparable<LockState>

      public enum LockState
      extends Enum<LockState>

  Different states of a Lock object

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACQUIRED` Lock is in acquired state
    `BLOCKED` Lock is in blocked state
    `IDLE` Lock state is idle

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LockState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LockState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IDLE

          public static final LockState IDLE

      Lock state is idle

    - #### ACQUIRED

          public static final LockState ACQUIRED

      Lock is in acquired state

    - #### BLOCKED

          public static final LockState BLOCKED

      Lock is in blocked state

  - ### Method Detail

    - #### values

          public static LockState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LockState c : LockState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LockState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.